VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "MSFLXGRD.OCX"
Begin VB.Form frmDeposits_Statement_Display 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Deposit Account Statement"
   ClientHeight    =   7590
   ClientLeft      =   45
   ClientTop       =   615
   ClientWidth     =   9120
   HelpContextID   =   1060
   Icon            =   "Deposit Account Statement.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   7590
   ScaleWidth      =   9120
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin MSFlexGridLib.MSFlexGrid grdStatementOfAccount 
      Height          =   4395
      Left            =   120
      TabIndex        =   0
      Top             =   2280
      Width           =   8775
      _ExtentX        =   15478
      _ExtentY        =   7752
      _Version        =   393216
      Cols            =   5
      AllowBigSelection=   0   'False
      FocusRect       =   2
      AllowUserResizing=   1
   End
   Begin VB.CommandButton cmdPrint 
      Caption         =   "Print"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   660
      TabIndex        =   3
      Top             =   7080
      Width           =   1515
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   6180
      TabIndex        =   2
      Top             =   7080
      Width           =   1515
   End
   Begin VB.CommandButton cmdHelp 
      Caption         =   "Help"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   3420
      TabIndex        =   1
      Top             =   7080
      Width           =   1515
   End
   Begin MSComDlg.CommonDialog cdlgPrintStatement 
      Left            =   6720
      Top             =   3240
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin MSFlexGridLib.MSFlexGrid grdHeader 
      Height          =   1815
      Left            =   1253
      TabIndex        =   4
      Top             =   180
      Width           =   6615
      _ExtentX        =   11668
      _ExtentY        =   3201
      _Version        =   393216
      Rows            =   7
      FixedRows       =   0
      GridColor       =   0
      AllowUserResizing=   1
   End
   Begin VB.Menu mnuTools 
      Caption         =   "&Tools"
      Begin VB.Menu mnuTools_ExportToExcel 
         Caption         =   "Export To &Excel"
      End
      Begin VB.Menu mnuTools_ExportToGenericFormat 
         Caption         =   "Export To &Generic Format"
      End
      Begin VB.Menu mnuTools_Sep1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuTools_Print 
         Caption         =   "&Print"
      End
      Begin VB.Menu mnuTools_Sep2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuTools_Help 
         Caption         =   "&Help"
      End
      Begin VB.Menu mnuTools_Sep3 
         Caption         =   "-"
      End
      Begin VB.Menu mnuTools_Close 
         Caption         =   "&Close"
      End
   End
End
Attribute VB_Name = "frmDeposits_Statement_Display"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Displays the statement of account and gives options for exporting and printing

Option Explicit
Private Loading As Boolean


Private Sub cmdClose_Click()
    Unload Me
End Sub
    
Private Sub cmdHelp_Click()
    ShowHelpTopic 1060
End Sub

Private Sub cmdPrint_Click()
    On Local Error GoTo Error_handler
    Dim rstStatement As Recordset
        
    Dim strStudentID As String
    Dim strStudentName As String
    Dim strStudentClass As String
    Dim dtmStartDate As Date
    Dim dtmEndDate As Date
    
    Dim curOpeningBalance As Currency
    Dim curClosingBalance As Currency
    Dim curMinBalance As Currency
    Dim curCurrentBalance As Currency
    
    'Get details of target printer
    With Me.cdlgPrintStatement
        .PrinterDefault = True
        .CancelError = True
        .Flags = cdlPDHidePrintToFile
        .ShowPrinter
    End With
    
    'Initialise printer
    Printer.Font.Name = "Courier New"
    Printer.Font.Size = 12
    Printer.ScaleMode = vbCharacters
    Printer.CurrentY = 3
    
    'Set the starting and ending dates
    dtmStartDate = frmDeposits_Statement_Load.dtpickStartDate.Value
    dtmEndDate = frmDeposits_Statement_Load.dtpickEndDate.Value
     
    'Student Details
    strStudentID = GetGridData(grdHeader, 0, 1)
    strStudentName = GetGridData(grdHeader, 1, 1)
    strStudentClass = GetGridData(grdHeader, 2, 1)
                
    'Obtain balance
    curOpeningBalance = GetDepositOpeningBalance(strStudentID, dtmStartDate)
    curClosingBalance = GetDepositClosingBalance(strStudentID, dtmEndDate)
    curCurrentBalance = GetDepositClosingBalance(strStudentID, Now)
    curMinBalance = getClassMinBalance(strStudentClass)
                
    'Generate statement body excluding opening and closing balances
    Set rstStatement = GetDepositStatementBody(strStudentID, dtmStartDate, dtmEndDate)
                
    'Print statement
    Call PrintDepositStatement(strStudentID, strStudentName, strStudentClass, _
                               dtmStartDate, dtmEndDate, curOpeningBalance, _
                               curMinBalance, curCurrentBalance, _
                               curClosingBalance, rstStatement)
    Printer.EndDoc

Exit Sub

Error_handler:
    If Err.Number <> cdlCancel Then
        MsgBox Err.Description, vbExclamation, "Printing Error"
    End If
Resume

End Sub

Private Sub Form_Activate()
    If Loading Then
        Loading = False
        initialiseGrid
    End If
End Sub

Private Sub Form_Load()
    Loading = True
End Sub

Private Sub initialiseGrid()
    
    grdStatementOfAccount.ColAlignment(0) = flexAlignRightCenter
    grdStatementOfAccount.ColWidth(0) = 465
    
    
    Call EnterGridData(grdStatementOfAccount, 0, 1, "Date")
    grdStatementOfAccount.FixedAlignment(1) = flexAlignLeftCenter
    grdStatementOfAccount.ColAlignment(1) = flexAlignLeftCenter
    grdStatementOfAccount.ColWidth(1) = 1380
    
    Call EnterGridData(grdStatementOfAccount, 0, 2, "Details")
    grdStatementOfAccount.FixedAlignment(2) = flexAlignLeftCenter
    grdStatementOfAccount.ColAlignment(2) = flexAlignLeftCenter
    grdStatementOfAccount.ColWidth(2) = 3135
    
    Call EnterGridData(grdStatementOfAccount, 0, 3, "Reference")
    grdStatementOfAccount.FixedAlignment(3) = flexAlignCenterCenter
    grdStatementOfAccount.ColAlignment(3) = flexAlignLeftCenter
    grdStatementOfAccount.ColWidth(3) = 1455
    
    Call EnterGridData(grdStatementOfAccount, 0, 4, "Amount")
    grdStatementOfAccount.FixedAlignment(4) = flexAlignCenterCenter
    grdStatementOfAccount.ColAlignment(4) = flexAlignRightCenter
    grdStatementOfAccount.ColWidth(4) = 1905
    
    
End Sub

Private Sub mnuTools_Close_Click()
    cmdClose.Value = True
End Sub

Private Sub mnuTools_ExportToExcel_Click()
    ExportGridToExcel Me, grdStatementOfAccount, grdHeader, True
End Sub

Private Sub mnuTools_ExportToGenericFormat_Click()
    ExportGridToGeneric Me, grdStatementOfAccount, grdHeader, True
End Sub

Private Sub mnuTools_Help_Click()
    cmdHelp.Value = True
End Sub

Private Sub mnuTools_Print_Click()
    cmdPrint.Value = True
End Sub
