VERSION 5.00
Begin VB.Form frmMailMerge_InsertMergeField 
   Caption         =   "Insert Merge Field"
   ClientHeight    =   2940
   ClientLeft      =   1635
   ClientTop       =   2595
   ClientWidth     =   4890
   HelpContextID   =   1360
   Icon            =   "Mail Merge Insert Merge Field.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2940
   ScaleWidth      =   4890
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   465
      Left            =   3285
      TabIndex        =   3
      Top             =   2295
      Width           =   1185
   End
   Begin VB.CommandButton cmdHelp 
      Caption         =   "Help"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   465
      HelpContextID   =   1360
      Left            =   1845
      TabIndex        =   2
      Top             =   2295
      Width           =   1185
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   465
      Left            =   405
      TabIndex        =   1
      Top             =   2295
      Width           =   1185
   End
   Begin VB.ListBox lstFieldsAvailable 
      Height          =   1815
      Left            =   180
      TabIndex        =   0
      Top             =   180
      Width           =   4470
   End
End
Attribute VB_Name = "frmMailMerge_InsertMergeField"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'This form presents a list of fields supplied by the base query.
'When clicked, the details will be automatically installed.

Option Explicit

Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub cmdHelp_Click()
    ShowHelpTopic 1360
End Sub

Private Sub cmdOK_Click()
    DoInsertField
End Sub

Private Sub Form_Activate()
    lstFieldsAvailable.ListIndex = 0
End Sub

Private Sub Form_Load()
    Dim objField As Field
    
    lstFieldsAvailable.Clear
    For Each objField In rstQueryResults.Fields
        lstFieldsAvailable.AddItem objField.Name
    Next
End Sub

Private Sub DoInsertField()
    'Paste the field into the current documents at the current insertion
    'point.
    If lstFieldsAvailable.ListIndex <> -1 Then
        frmMailMerge_MasterForm.rtfMailMerge.SelText = _
                    strFieldStartChar & _
                    lstFieldsAvailable.List(lstFieldsAvailable.ListIndex) & _
                    strFieldEndChar
    End If
    Unload Me
End Sub


Private Sub lstFieldsAvailable_DblClick()
    DoInsertField
End Sub
