Attribute VB_Name = "Printing"
Option Explicit

Public Sub PrintBlankLines(NumberRequired As Long)
    
    Dim lngCounter As Long
    
    For lngCounter = 1 To NumberRequired
        Printer.Print
    Next
    
End Sub

Public Sub PrintStudentDetails(LabelText As String, DataText As String)
       
    Printer.CurrentX = 3
    Printer.Print LabelText;
    
    Printer.CurrentX = 28
    Printer.Print DataText
    
End Sub

Public Sub PrintHeader(strText As String)
    Dim intCurrentFontSize As Integer
    Dim blnCurrentFontBold As Boolean
    
    'store current settings
    intCurrentFontSize = Printer.FontSize
    blnCurrentFontBold = Printer.FontBold
    
    'custom settings for Header
    Printer.FontSize = 20
    Printer.FontBold = True
    
    'Center Text and print it
    Printer.CurrentX = Int((Printer.ScaleWidth / 2) - (Printer.TextWidth(strText) / 2))
    Printer.Print strText
    
    'reset setting to what they were before the proceedure
    Printer.FontSize = intCurrentFontSize
    Printer.FontBold = blnCurrentFontBold
    
End Sub
