VERSION 5.00
Begin VB.Form frmSystem_StartUp 
   BorderStyle     =   3  'Fixed Dialog
   ClientHeight    =   3570
   ClientLeft      =   750
   ClientTop       =   1545
   ClientWidth     =   6720
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   3570
   ScaleWidth      =   6720
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.Label lblDescription 
      BackStyle       =   0  'Transparent
      Caption         =   "Mount Pleasant High School Levy Office"
      BeginProperty Font 
         Name            =   "Monotype Corsiva"
         Size            =   27.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   -1  'True
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00800080&
      Height          =   2415
      Left            =   120
      TabIndex        =   1
      Top             =   240
      Width           =   6495
   End
   Begin VB.Label Label1 
      BackColor       =   &H00C0C0C0&
      BackStyle       =   0  'Transparent
      Caption         =   "Loading......"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   555
      Left            =   3720
      TabIndex        =   0
      Top             =   2760
      Width           =   2850
      WordWrap        =   -1  'True
   End
   Begin VB.Image Image1 
      BorderStyle     =   1  'Fixed Single
      Height          =   1440
      Left            =   -1200
      Picture         =   "Start up.frx":0000
      Stretch         =   -1  'True
      Top             =   -1800
      Width           =   1635
   End
   Begin VB.Image Image2 
      Height          =   3615
      Left            =   0
      Picture         =   "Start up.frx":0EDC
      Stretch         =   -1  'True
      Top             =   0
      Width           =   6735
   End
End
Attribute VB_Name = "frmSystem_StartUp"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Opens the system databases, sets the global variables
'and then diaplays the Log In form

Option Explicit

Private Starting_up As Boolean

Private Sub Form_Activate()
    Dim strMsg As String
    Dim intResponse As Long
    
    On Local Error GoTo Error_handler
        
    
    If Starting_up Then
        Starting_up = False
        
        'Customise the displayed app name i.e. utility or main app
        lblDescription.Caption = App.ProductName
        If App.PrevInstance Then
            'None of the utilities should have more than one instance executing
            'so as to ensure database integrity.
            strMsg = "Another copy of the " & App.ProductName _
                   & " is already running. Please use that copy instead."
            MsgBox strMsg, vbCritical, "Levy System"
            End
        Else
            Me.Refresh
            Open_database
            Initialise_recordsets
            
            'Log in user and set access rights
            'Place log in form above the start up splash screen form
            With frmSystem_LogIn
                .Top = frmSystem_StartUp.Top - .Height
                .Left = frmSystem_StartUp.Left + (frmSystem_StartUp.Width / 2) - (.Width / 2)
                .Show vbModal
            End With
                        
            'Confirm system date and time
            frmSystem_CheckDate.Show vbModal
            Unload Me
        End If
    End If
                                       
Exit Sub

Error_handler:
    intResponse = MsgBox(Err.Description, vbRetryCancel + vbExclamation, "Error")
    If intResponse = vbRetry Then
        Resume
    Else
        End
    End If
Resume
     
End Sub
Private Sub Open_database()
    'Open system database in default workspace
    Set wspLevy = DBEngine.Workspaces(0)
    Set dbLevyOffice = wspLevy.OpenDatabase(GetDatabasePath, False, False, ";pwd=25081982")
    
End Sub


Private Sub Form_Load()
    Starting_up = True
End Sub

Public Sub Initialise_recordsets()
    
    'Open the recorsets used by the system and assign them to global variables
    Set rstStudents = dbLevyOffice.OpenRecordset("Students", dbOpenTable)
    Set rstDeregisteredStudents = dbLevyOffice.OpenRecordset("Deregistered Students", dbOpenTable)
    Set rstClasses = dbLevyOffice.OpenRecordset("Classes", dbOpenTable)
    Set rstRegisteredFees = dbLevyOffice.OpenRecordset("Registered Fees", dbOpenTable)
    Set rstFeesTemplates = dbLevyOffice.OpenRecordset("Fees Templates", dbOpenTable)
    Set rstLevyDebits = dbLevyOffice.OpenRecordset("Levy Account Debits", dbOpenTable)
    Set rstLevyCredits = dbLevyOffice.OpenRecordset("Levy Account Credits", dbOpenTable)
    Set rstCautionDepositDebits = dbLevyOffice.OpenRecordset("Caution Fee Account Debits", dbOpenTable)
    Set rstCautionDepositCredits = dbLevyOffice.OpenRecordset("Caution Fee Account Credits", dbOpenTable)
    Set rstUsers = dbLevyOffice.OpenRecordset("Users", dbOpenTable)
    
    'Open the persistent query objects
    Set qryQueryObject = dbLevyOffice.QueryDefs("General Query Obj")
    Set qryDirectSQL = dbLevyOffice.QueryDefs("Direct SQL Query Object")
    Set qryReports = dbLevyOffice.QueryDefs("Report Query Object")
    
End Sub

