VERSION 5.00
Begin VB.Form frmSystem_CheckDate 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Confirm Date & Time"
   ClientHeight    =   1740
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4305
   Icon            =   "System Check Date.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1740
   ScaleWidth      =   4305
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer tmrTime 
      Interval        =   50
      Left            =   -60
      Top             =   -120
   End
   Begin VB.CommandButton cmdNo 
      Cancel          =   -1  'True
      Caption         =   "No"
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   2640
      TabIndex        =   1
      Top             =   1200
      Width           =   1215
   End
   Begin VB.CommandButton cmdYes 
      Caption         =   "Yes"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   540
      TabIndex        =   0
      Top             =   1200
      Width           =   1215
   End
   Begin VB.Image Image1 
      Height          =   525
      Left            =   120
      Picture         =   "System Check Date.frx":0442
      Top             =   240
      Width           =   615
   End
   Begin VB.Label Label5 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Caption         =   "Are the above Details correct?"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H8000000D&
      Height          =   255
      Left            =   60
      TabIndex        =   6
      Top             =   840
      Width           =   4215
   End
   Begin VB.Label lblTime 
      BackStyle       =   0  'Transparent
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   1680
      TabIndex        =   5
      Top             =   480
      Width           =   2715
   End
   Begin VB.Label lblDate 
      BackStyle       =   0  'Transparent
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   1680
      TabIndex        =   4
      Top             =   120
      Width           =   2715
   End
   Begin VB.Label Label2 
      BackStyle       =   0  'Transparent
      Caption         =   "Time"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   1020
      TabIndex        =   3
      Top             =   480
      Width           =   1035
   End
   Begin VB.Label Label1 
      BackStyle       =   0  'Transparent
      Caption         =   "Date"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   1020
      TabIndex        =   2
      Top             =   120
      Width           =   1035
   End
End
Attribute VB_Name = "frmSystem_CheckDate"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Seeks confirmation of the correctness of the system time and date
'during start up. The lngResponse is store in blnSettingsOK and then
'checked when the form unloads.

Option Explicit
Private blnSettingsOK As Boolean


Private Sub cmdNo_Click()
    'System time wrong
    blnSettingsOK = False
    Unload Me
End Sub

Private Sub cmdYes_Click()
    'System Time correct
    blnSettingsOK = True
    Unload Me
End Sub


Private Sub Form_Activate()
    'Place form above the start up splash screen form
    Me.Top = frmSystem_StartUp.Top - Me.Height
    Me.Left = frmSystem_StartUp.Left + (frmSystem_StartUp.Width / 2) - (Me.Width / 2)
End Sub

Private Sub Form_Unload(Cancel As Integer)
    'Check if the date and time have been confirmed.
    'If not, end app
    Dim strMsg As String
    
    If Not blnSettingsOK Then
        strMsg = "Please correct the date and/or time using Windows"
        MsgBox strMsg, vbCritical
        End
    End If
        
End Sub



Private Sub tmrTime_Timer()
    'Update displayed date and time
    lblDate.Caption = Format(Date, "dddd d mmmm yyyy")
    lblTime.Caption = Format(Time, "HH:MM:SS") & " hrs"
End Sub
